#413 metaflac crashes when importing cuesheet

1.3.0
closed-fixed
Erik
None
5
2014-11-30
2014-03-08
David Gazda
No

metaflac 1.3.0 crashes when importing cuesheets; previous version of metaflac does not.

Batch command line is
metaflac.exe --set-tag-from-file="CUESHEET=%~n1.cue$" --import-cuesheet-from="%~n1.cue" --add-replay-gain "%~n1.flac"
This is not the original batch command line, I dropped other options and it still crashes.
It does not seem to be cuesheet-related as it crashes with all other flac files I tested. All cuesheets were in english without diacritics or exotic symbols.
I'm not in front of the PC with flac/metaflac and cannot get for the moment but I will try to get a better and minimalistic command line.
My PC runs with XP SP3 and all available patches (do not laugh, please, old PC but with old SCSI Plextors too), log says "Application défaillante metaflax.exe, version 0.0.0.0, module défaillant ntdll.dll, version 5.1.2600.6055, adresse de défaillance 0x0001245f". I do not know it can be useful.

Related

Bugs: #413

Discussion

  • Erik
    Erik
    2014-03-21

    • assigned_to: Erik
     
  • Erik
    Erik
    2014-03-21

    In order to reproduce I need the cue sheets and probably also the files. Is it possible to attach those (preferably a small flac file, < 100k) to this bug?

     
  • David Gazda
    David Gazda
    2014-03-21

    Hi,

    Thanks for your reply. My "rip" PC is out of order for an upgrade (wrong mainboard... :-S)
    I'll try to fix it this weekend and have the flac file next tuesday. Sorry for the delay.

    Best regards,

    David

    ----- Original Message -----
    From: Erik
    To: [flac:bugs]
    Sent: Friday, March 21, 2014 10:21 AM
    Subject: [flac:bugs] #413 metaflac crashes when importing cuesheet

    a.. assigned_to: Erik 
    b.. Comment:
    

    In order to reproduce I need the cue sheets and probably also the files. Is it possible to attach those (preferably a small flac file, < 100k) to this bug?


    [bugs:#413] metaflac crashes when importing cuesheet

    Status: open
    Group: 1.3.0
    Created: Sat Mar 08, 2014 02:31 PM UTC by David Gazda
    Last Updated: Sat Mar 08, 2014 02:31 PM UTC
    Owner: Erik

    metaflac 1.3.0 crashes when importing cuesheets; previous version of metaflac does not.

    Batch command line is
    metaflac.exe --set-tag-from-file="CUESHEET=%~n1.cue$" --import-cuesheet-from="%~n1.cue" --add-replay-gain "%~n1.flac"
    This is not the original batch command line, I dropped other options and it still crashes.
    It does not seem to be cuesheet-related as it crashes with all other flac files I tested. All cuesheets were in english without diacritics or exotic symbols.
    I'm not in front of the PC with flac/metaflac and cannot get for the moment but I will try to get a better and minimalistic command line.
    My PC runs with XP SP3 and all available patches (do not laugh, please, old PC but with old SCSI Plextors too), log says "Application défaillante metaflax.exe, version 0.0.0.0, module défaillant ntdll.dll, version 5.1.2600.6055, adresse de défaillance 0x0001245f". I do not know it can be useful.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/flac/bugs/413/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #413

  • Erik
    Erik
    2014-03-28

    In order to reproduce I need the cue sheets and probably also the files. Is it possible to attach those (preferably a small flac file, < 100k) to this bug?

    This requirement has not changed.

     
  • eisensheng
    eisensheng
    2014-06-14

    I'm also affected by this. I've created a sample flac and a sample cue that crashes here on my linux system with

    Error in `metaflac': malloc(): memory corruption: 0x00000000009d9e80

    Unfortunately the sample file is larger than the 100k, it's 6MB big but it triggers the crash on my system here:

    http://www42.zippyshare.com/v/29489759/file.html

     
  • Erik
    Erik
    2014-06-15

    I just tried this on the metaflac binary from Debian on amd64:

    metaflac --import-cuesheet-from=sample/sample.cue \
             --add-replay-gain sample/sample.flac
    

    and the only problem I saw was the warning message:

    sample/sample.flac: WARNING cuesheet "sample/sample.cue" is
    not audio CD compliant: CD-DA cue sheet lead-out offset must
    be evenly divisible by 588 samples
    

    No segfault here.

    Please provide more information like:

    • What linux distro and arch?
    • Compiled from source or a binary from distro repository?
    • Can you run it under gdb and get a backtrace when it segfaults?
     
    Last edit: Erik 2014-06-15
  • eisensheng
    eisensheng
    2014-06-16

    Thanks for your replay. I've thought so that it must be something distribution specific. Please bear in mind though that debian has some patches for their flac package.

    I'm running archlinux x86_64 with the following packages and versions:

    • flac 1.3.0-2
    • gcc-libs-multilib 4.9.0-4
    • glibc 2.19-5
    • linux 3.14.6-1

    There is also a downstream ticket created by me:
    https://bugs.archlinux.org/task/40832#comment124274

    I'll try to get and install a custom build of this package with debugging symbols later to run it with gdb and valgrind so I can see where it corrupts the memory.

     
  • Erik
    Erik
    2014-06-18

    Thanks lvqcl! I'll leave this open until we release a new version.

     
  • Erik
    Erik
    2014-11-30

    • status: open --> closed-fixed
     
  • Erik
    Erik
    2014-11-30

    New version released. Closing this.